Subject: Re: [DRAFT] Branching and merging with git

From: Marko Macek <[email-masked]>
Date: Fri, 17 Nov 2006 17:25:25 +0100

Nguyen Thai Ngoc Duy wrote:
> On 11/17/06, Sean <[email-masked]> wrote:
>> It would be nice to post this information on the Git website and not
>> have it overshadowed by Cogito examples with paragraphs explaining how
>> Cogito makes things easier.  The current website distracts users away
>> from learning Git or ever reading about this kind of information.
>> Maybe we can pass a hat around for some funds for a separate Cogito
>> website. ;o)
> 
> Or.. find a way to merge cogito back to git :-)
> /me runs into a nearest bush.

I agree, this would certainly be the best solution. But it would imply
hiding the 'index' by default which would probably an incompatible change.

The alternative would be to explain that git is a low level tool suitable 
mostly for integrators like Linus (that, and that Cogito and/or StGit should 
be used by developers/contributors).